<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>

<extension
         point="org.eclipse.ui.commands">
      <category
            id="test.commands.category"
            name="Sample Category">
      </category>
      <command
            categoryId="test.commands.category"
            name="图号申请"
            id="DrawingNoApplyHandler">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
      <handler
            class="com.connor.jingdiao.handlers.DrawingNoApplyHandler"
            commandId="DrawingNoApplyHandler">
      </handler>
   </extension>
   <extension
         point="org.eclipse.ui.bindings">
      <key
            commandId="test.commands.sampleCommand"
            schemeId="org.eclipse.ui.defaultAcceleratorConfiguration"
            contextId="org.eclipse.ui.contexts.window"
            sequence="M1+6">
      </key>
   </extension>
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="menu:org.eclipse.ui.main.menu?after=additions">
         <menu
               id="com.connor.jingdiao.menus"
               label="精雕菜单"
               mnemonic="M">
            <command
                  commandId="DrawingNoApplyHandler"
                  mnemonic="S">
            </command>
         </menu>
      </menuContribution>
      <menuContribution
            locationURI="toolbar:org.eclipse.ui.main.toolbar?after=additions">
         <toolbar
               id="test.toolbars.sampleToolbar">
            <command
                  id="test.toolbars.sampleCommand"
                  commandId="test.commands.sampleCommand"
                  icon="icons/sample.png"
                  tooltip="Say hello world">
            </command>
         </toolbar>
      </menuContribution>
   </extension>
</plugin>
